## com.google.gwt.user.client.ui
Interface SourcesFocusEvents

All Known Subinterfaces:
  HasFocus

All Known Implementing Classes:
  Anchor, Button, ButtonBase, CheckBox, CustomButton, FocusPanel, FocusWidget, ListBox, PasswordTextBox, PushButton, RadioButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SuggestBox, TextArea, TextBox, TextBoxBase, ToggleButton, Tree

Deprecated. use `HasAllFocusHandlers` instead

    @Deprecated
    public interface SourcesFocusEvents

A widget that implements this interface sources the events defined by the `FocusListener` interface.

Method Summary
`void` | `addFocusListener(FocusListener listener)` Deprecated. use `addFocusHandler` and <cod>addBlurHandler instead.
`void` | `removeFocusListener(FocusListener listener)` Deprecated. Use the `HandlerRegistration#removeHandler` method on the object returned by `#addFocusHandler` instead

Method Detail

### addFocusListener

    @Deprecated
    void addFocusListener(FocusListener listener)

  Deprecated. use `addFocusHandler` and <cod>addBlurHandler instead.

  Adds a listener interface to receive focus events.

  Parameters:
    `listener` - the listener interface to add

### removeFocusListener

    @Deprecated
    void removeFocusListener(FocusListener listener)

  Deprecated. Use the `HandlerRegistration#removeHandler` method on the object returned by `#addFocusHandler` instead

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove